Grants, vesting & distributions
List Grant Configurations
Lists org grant configurations with optional warrant include/exclude and per-configuration grant counts.
Not available to API keys yet. It will need grants:read.
curl --request POST \
--url 'https://api.toku.com/tga/list-grant-configurations' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"excludeWarrants": true,
"onlyWarrants": true,
"includeGrantCount": true
}'[
{
"grantConfigurationID": "string",
"name": "string",
"kind": "RTU",
"isExercisable": true,
"useStrike": true,
"hasDiscountFMV": true,
"redemptionHold": 0,
"redemptionCap": 0,
"redemptionLiftPeriod": 0,
"grantCount": 0,
"exercisedOptionsPastTenseLabel": "string",
"exercisedOptionsPresentTenseLabel": "string",
"exercisedOptionActionLabel": "string",
"exercisedOptionPotentialActionLabel": "string",
"cashRedemptionMethod": true,
"unitsRedemptionMethod": true,
"coinMarketCapID": "string",
"showLtipRedemptionProcessingAlert": true,
"orgID": "string",
"currencyID": "string",
"vestingFrequencyType": "MONTHLY",
"vestingPeriods": 0,
"vestingCliffPeriods": 0,
"vestingCliffPercentage": "string",
"legacyMigratedAt": "string",
"legacyModelID": 0,
"isPerformance": true,
"grantAssetType": "TOKEN",
"isCashCompensation": true,
"exerciseFormFileID": "string",
"signingTabs": {
"prefilledTextTabs": [
{
"type": "fullLegalName",
"pageNumber": "string",
"xPosition": "string",
"yPosition": "string"
}
],
"bankTabs": [
{
"label": "string",
"pageNumber": "string",
"xPosition": "string",
"yPosition": "string"
}
],
"signerTabs": [
{
"type": "signature",
"pageNumber": "string",
"xPosition": "string",
"yPosition": "string",
"isRecipient": true,
"name": "string",
"email": "string"
}
]
},
"exerciseLockupMonths": 0,
"optionExpiryYears": 0,
"optionExerciseWindowDays": 0,
"createdAt": "string",
"updatedAt": "string",
"exerciseFormFile": {
"fileID": "string",
"orgID": "string",
"fileName": "string",
"mimeType": "string",
"fileKey": "string",
"fileBucket": "string",
"fileUploaded": "string",
"fileSizeInBytes": "string",
"createdByUserID": "string",
"createdAt": "string",
"updatedAt": "string",
"legacyMigratedAt": "string",
"legacyModelID": 0,
"type": "string",
"fileURL": "string",
"fileDownloadURL": "string"
}
}
]Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
excludeWarrantsbooleanonlyWarrantsbooleanincludeGrantCountbooleanResponse
200Successful response
grantConfigurationIDstringrequirednamestringrequiredkindstringrequiredAvailable options: RTU, RTA, TOKEN_BONUS, TPA, OPTION, WARRANT, LTIP, TSA, FTIA, PHANTOMUNITS, FOUNDERROUND, FTI, TOKENSUB, PERFORMANCE
isExercisablebooleanrequireduseStrikebooleanhasDiscountFMVbooleanredemptionHoldnumberredemptionCapnumberredemptionLiftPeriodnumbergrantCountnumberrequiredexercisedOptionsPastTenseLabelstringexercisedOptionsPresentTenseLabelstringexercisedOptionActionLabelstringexercisedOptionPotentialActionLabelstringcashRedemptionMethodbooleanunitsRedemptionMethodbooleancoinMarketCapIDstringshowLtipRedemptionProcessingAlertbooleanorgIDstringcurrencyIDstring | nullvestingFrequencyTypestring | nullAvailable options: MONTHLY, QUARTERLY, SEMIANNUALLY, YEARLY, CUSTOM, DAILY, WEEKLY, null
vestingPeriodsnumber | nullvestingCliffPeriodsnumber | nullvestingCliffPercentagestring | nullAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
legacyMigratedAtstring | nulllegacyModelIDnumber | nullisPerformanceboolean | nullgrantAssetTypestring | nullAvailable options: TOKEN, FIAT, null
isCashCompensationbooleanexerciseFormFileIDstring | nullsigningTabsobject | nullShow child attributes
prefilledTextTabsobject[]requiredShow child attributes
typestringrequiredAvailable options: fullLegalName, exerciseDate, grantDate, numberOfUnitsToRedeem, redemptionMethod
pageNumberstringrequiredxPositionstringrequiredyPositionstringrequiredbankTabsobject[]requiredShow child attributes
labelstringrequiredpageNumberstringrequiredxPositionstringrequiredyPositionstringrequiredsignerTabsobject[]requiredShow child attributes
typestringAvailable options: signature, initial, dateSigned
pageNumberstringrequiredxPositionstringrequiredyPositionstringrequiredisRecipientbooleanrequirednamestringrequiredemailstringrequiredexerciseLockupMonthsnumber | nulloptionExpiryYearsnumber | nulloptionExerciseWindowDaysnumber | nullcreatedAtstringupdatedAtstringexerciseFormFileobject | nullShow child attributes
fileIDstringrequiredorgIDstringrequiredfileNamestringrequiredmimeTypestringrequiredfileKeystringrequiredfileBucketstringrequiredfileUploadedstring | nullrequiredfileSizeInBytesstring | numberrequiredcreatedByUserIDstring | nullrequiredcreatedAtstringrequiredupdatedAtstringrequiredlegacyMigratedAtstring | nullrequiredlegacyModelIDnumber | nullrequiredtypestringrequiredfileURLstringrequiredfileDownloadURLstringrequired